# eric7.Plugins.PluginTranslator

Module implementing the Translator plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
needsRestart
packageName
pyqtApi
shortDescription
translatorPluginObject
version

### Classes

TranslatorPlugin | Class implementing the Translator plug-in.

### Functions

createTranslatorPage | Module function to create the Translator configuration page.
getConfigData | Module function returning data as required by the configuration dialog.
prepareUninstall | Module function to prepare for an uninstallation.

## TranslatorPlugin

Class implementing the Translator plug-in.

### Signals

updateLanguages()
  emitted to indicate a languages update

### Derived from

QObject

### Class Attributes

PreferencesKey

### Class Methods

None

### Methods

TranslatorPlugin | Constructor
__initialize | Private slot to (re)initialize the plugin.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.
getPreferences | Public method to retrieve the various settings.
getPreferencesDefault | Public method to retrieve the various default settings.
setPreferences | Public method to store the various settings.

### Static Methods

None

#### TranslatorPlugin (Constructor)

TranslatorPlugin(ui)

Constructor

ui (UI.UserInterface)
  reference to the user interface object

#### TranslatorPlugin.__initialize

__initialize()

Private slot to (re)initialize the plugin.

#### TranslatorPlugin.activate

activate()

Public method to activate this plugin.

Return:
  tuple of None and activation status

Return Type:
  tuple of (None, bool)

#### TranslatorPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

#### TranslatorPlugin.getPreferences

getPreferences(key)

Public method to retrieve the various settings.

key (str)
  the key of the value to get

Return:
  the requested setting

Return Type:
  any

#### TranslatorPlugin.getPreferencesDefault

getPreferencesDefault(key)

Public method to retrieve the various default settings.

key (str)
  the key of the value to get

Return:
  the requested setting

Return Type:
  any

#### TranslatorPlugin.setPreferences

setPreferences(key, value)

Public method to store the various settings.

key (str)
  the key of the setting to be set
value (any)
  the value to be set

Up

## createTranslatorPage

createTranslatorPage(configDlg)

Module function to create the Translator configuration page.

configDlg (ConfigurationWidget)
  reference to the configuration dialog

Return:
  reference to the configuration page

Return Type:
  TranslatorPage

Up

## getConfigData

getConfigData()

Module function returning data as required by the configuration dialog.

Return:
  dictionary containing the relevant data

Return Type:
  dict

Up

## prepareUninstall

prepareUninstall()

Module function to prepare for an uninstallation.

Up